# Changelog

## 2025-01-14 - 1.0.6 - fix(core)
Update .gitignore to improve ignored paths

- Ignored various build and cache directories to reduce clutter in the repository.
- Refactored .gitignore to categorize ignored paths for better readability and maintenance.

## 2025-01-14 - 1.0.5 - fix(package)
Fix scripts section in package.json by adding missing comma

- Corrected the JSON format in the scripts section by adding a missing comma between format and build scripts.

## 2025-01-14 - 1.0.4 - fix(core)
Removed unnecessary files and updated dependencies

- Removed .gitlab-ci.yml to streamline the CI/CD process
- Updated and fixed TypeScript files to align with ES Module syntax
- Removed obsolete dist files for a cleaner build
- Updated package.json to reflect current project configurations, including dependencies and scripts

## 2024-05-29 - 1.0.3 - Enhancements
Finalizing updates under version 1.0.3

- Updated project description

## 2023-07-10 to 2024-05-29 - 1.0.3 - Organizational Changes
Implemented significant organizational changes

- Switched to a new organizational scheme

## 2018-03-05 - 1.0.2 to 1.0.3 - Maintenance and Format Updates
Streamlined maintenance and formatting

- Updated code formatting for consistency
